import { User } from '@things-factory/auth-base';
import { Domain, ListParam } from '@things-factory/shell';
import { ProcessGroup } from '../process-group/process-group';
import { Process } from './process';
import { ProcessHistory } from './process-history';
import { ProcessList } from './process-type';
export declare class ProcessQuery {
    process(id: string, context: ResolverContext): Promise<Process>;
    processByName(name: string, context: ResolverContext): Promise<Process>;
    processes(params: ListParam, context: ResolverContext): Promise<ProcessList>;
    processesCreatedByMe(params: ListParam, context: ResolverContext): Promise<ProcessList>;
    processVersions(id: string, context: ResolverContext): Promise<ProcessHistory[]>;
    processPublished(id: string, context: ResolverContext): Promise<ProcessHistory>;
    group(process: Process): Promise<ProcessGroup>;
    diagram(process: Process, context: ResolverContext): Promise<string>;
    domain(process: Process): Promise<Domain>;
    updater(process: Process): Promise<User>;
    creator(process: Process): Promise<User>;
}
